#!/bin/bash
set -euo pipefail
IFS=$'\n\t'

function checkGlobal() {
    hash ffmpeg 2>/dev/null || {
        echo >&2 "Erreur: Commande ffmpeg pas trouvé, merci de l'installer"
        exit 1
    }

    if [ -d "audio" ]; then
        echo "Le dossier audio existe"
    else
        mkdir audio
        echo "Le dossier audio n'existe pas, il a été créé"
    fi
}

## on lance la fonction
checkGlobal

# $1 est le fichier à traiter préciser dans la commande

# On récupère le nom du fichier
fichier=$(basename "$1")

echo "Traitement du fichier $fichier"

## Check input file.
if [ ! -f "$fichier" ]; then
    echo >&2 "ErroErreurr: Fichier d'entrée non trouvé"
    exit 1
fi

for ((c = 1; c <=5; c++)); do
echo " Quel est l'extension de fichier des audios $c ? "
read temp
ext_audio+=($temp)

echo " Quel est l'extension de fichier après encodage $c ? "
read temp
NEA+=($temp)

echo " Quel est le bitrate audio voulu $c ?"
read temp
bit_audio+=($temp)

ext_audio=()
NEA=()
bit_audio=()

echo " Souhaitez vous renommer le dossier audio ? (y/n)"
read reponse

    if [ "$reponse" == "y" ]; then
        echo "Quel est le nouveau nom du dossier audio ?"
        read nom_dossier
    fi 

    if [ "$reponse" == "n" ]; then
        echo "D'accord je touche à rien !"
    fi

    for i in *.${ext_audio[$c]}; do
        ffmpeg -i "$i" -c:a ${NEA[$c]} -b:a ${bit_audio[$c]}k "$i.${NEA[$c]}"
        echo "Lancement de l'encodage de l'audio"
    done

    mv *.${NEA} audio/

cd audio/

echo "Les fichiers audio ont été déplacés dans le dossier audio"

# Regarder si le nom du fichier contient .mkv dedans

for i in *; do
    i2=$(echo $i | sed -E 's/.dts|.eac3//gm;t;d')
    mv "$i" "$i2"
done

    if [ "$reponse" == "y" ]; then
    cd ..
    mv audio "$nom_dossier"
    fi


#Le script est fini
		echo "Merci de m'avoir utilisé !"
		exit 0