#!/bin/bash
set -euo pipefail
IFS=$'\n\t'

function checkGlobal() {
    hash mkvmerge 2>/dev/null || {
        echo >&2 "Erreur: Commande mkvmerge pas trouvé, merci de l'installer"
        exit 1
    }
    hash mkvextract 2>/dev/null || {
        echo >&2 "Erreur: Commande mkvmerge pas trouvé, merci de l'installer"
        exit 1
    }

    if [ -d "Fait" ]; then
        echo "Le dossier Fait existe"
    else
        mkdir Fait
        echo "Le dossier Fait n'existe pas, il a été créé"
    fi
}

## on lance la fonction
checkGlobal

# $1 est le fichier à traiter préciser dans la commande

# On récupère le nom du fichier
fichier=$(basename "$1")

# On récupère le second argument
#fichier2=$(basename "$2")

echo " traitement du fichier $fichier "

## Check input file.
if [ ! -f "$fichier" ]; then
    echo >&2 "ErroErreurr: Fichier d'entrée non trouvé"
    exit 1
fi

if [ ! -f "$fichier2" ]; then
    echo >&2 "ErroErreurr: Fichier d'entrée non trouvé"
    exit 1
fi

for i in *.mkv; do

    mkvmerge --output Fait/"$i"'.TEST.mkv' \
        --no-audio \
        --no-chapters \
        --no-attachments \
        --no-global-tags \
        --language 0:und \
        --default-track 0:yes \
        --display-dimensions 0:1920x1080 \
        --sub-charset 3:UTF-8 \
        --language 3:fr \
        --default-track 3:yes \
        --sub-charset 4:UTF-8 \
        --language 4:en '(' $i"" ')' \
        --no-video \
        --no-attachments \
        --no-global-tags \
        --language 1:fr \
        --language 2:en \
        --sub-charset 3:UTF-8 \
        --language 3:fr \
        --sub-charset 4:UTF-8 \
        --language 4:en '(' $i.*.ac3 ')' \
        --title "" \
        --track-order 0:0,0:3,0:4,1:1,1:2,1:3,1:4

done

for i in *.mkv; do
    mkvmerge --output Fait/"$i"'.Fini.mkv' \
        --language 0:und \
        --default-track 0:yes \
        --display-dimensions 0:1920x1080 \
        '(' $i".VIDEO.mkv" ')' \
